| All Verbs | /RestApi/Sitefinity/Analytics/GetCurrentAccountSettings |
|---|
import Foundation
import ServiceStack
public class GetCurrentAccountSettingsMessage : Codable
{
public var clientId:String
public var clientSecret:String
public var selectedProfile:String
public var trackedDomain:String
public var siteId:String
required public init(){}
}
public class GetCurrentAccountSettingsData : Codable
{
public var clientId:String
public var clientSecret:String
public var trackingCode:String
public var trackedDomain:String
public var selectedAccount:String
public var selectedProfile:String
public var selectedWebPropertyId:String
public var useEquals:Bool
public var prependHost:Bool
required public init(){}
}
Swift GetCurrentAccountSettingsMessage DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetCurrentAccountSettings HTTP/1.1
Host: www.asg.com.au
Accept: application/json
Content-Type: application/json
Content-Length: length
{"ClientId":"String","ClientSecret":"String","SelectedProfile":"String","TrackedDomain":"String"}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"ClientId":"String","ClientSecret":"String","TrackingCode":"String","TrackedDomain":"String","SelectedAccount":"String","SelectedProfile":"String","SelectedWebPropertyId":"String","UseEquals":false,"PrependHost":false}